For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームドキュメントAPI参照
ホームドキュメントAPI参照
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device
      • POSTConnect a new device channel
      • POSTDisconnect a specific device channel
      • POSTDisconnect all device channels
      • POSTTrigger a real-time logging event

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceDevice Channels

Connect a new device channel

POST
https://api.frame.io/v2/devices/channels
POST
/v2/devices/channels
1import requests
2
3headers = {
4 'Authorization': 'Bearer [access_token]',
5 'Content-Type': 'application/json',
6 'x-client-version': '2.0.0'
7}
8
9data = {
10 'client_id': '[client_id]',
11 'device_model_id': '[device_model_id]'
12}
13
14response = requests.post(
15 'https://api.frame.io/v2/devices/channels/connect',
16 headers=headers,
17 json=data
18)
19
20result = response.json()
21print(result)
We can connect a new channel with the following request
このページは役に立ちましたか?
前へ

Disconnect a specific device channel

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

ヘッダー

x-client-versionstringオプションデフォルト値 0.0.0
Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version. For more on semantic versions, see here: https://semver.org/

リクエスト

Payload
client_idstring必須形式: "uuid"
device_model_idstring必須形式: "uuid"

レスポンス

Example response
_typestringデフォルト値 project_device_channel
idstring形式: "uuid"
actor_idstring形式: "uuid"
asset_typeenum
許可された値:
device_idstring形式: "uuid"
external_indexdouble0-100
inserted_atstring形式: "date-time"
namestring

Auto-generated name, based on the device model

project_idstring
The Project ID that this device is linked to
project_device_idstring
real_time_logging_capablebooleanデフォルト値 false
statusenum
許可された値:
updated_atstring形式: "date-time"

エラー

401
Unauthorized Error
409
Conflict Error

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/